namespace Tinkerforge
{
    public static class EAmbientLight2
    {
        public static (char Option, long Min, long Max) GetIlluminanceCallbackThreshold(this BrickletAmbientLightV2 ambientLight)
        {
            ambientLight.GetIlluminanceCallbackThreshold(out char option, out long min, out long max);
            return (option, min, max);
        }

        public static (byte IlluminanceRange, byte IntegrationTime) GetConfiguration(this BrickletAmbientLightV2 ambientLight)
        {
            ambientLight.GetConfiguration(out byte illuminanceRange, out  byte integrationTime);
            return (illuminanceRange, integrationTime);
        }

    }
}
